From c96a68a9625104a61e029657af82583bde4927ec Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 26 2024 17:55:16 +0000
Subject: [PATCH 154/220] fix: cosmic-icon-theme


---

diff --git a/rpms/cosmic-desktop/cosmic-desktop.spec b/rpms/cosmic-desktop/cosmic-desktop.spec
index 1a464db..d6e23ac 100644
--- a/rpms/cosmic-desktop/cosmic-desktop.spec
+++ b/rpms/cosmic-desktop/cosmic-desktop.spec
@@ -15,7 +15,7 @@ Requires:       cosmic-app-library
 Requires:       cosmic-applets
 Requires:       cosmic-bg
 Requires:       cosmic-comp
-Requires:       cosmic-icons
+Requires:       cosmic-icon-theme
 Requires:       cosmic-launcher
 Requires:       cosmic-notifications
 Requires:       cosmic-osd
diff --git a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
new file mode 100644
index 0000000..168e348
--- /dev/null
+++ b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
@@ -0,0 +1,49 @@
+%define debug_package %{nil}
+
+%global ver ###
+%global commit ###
+%global date ###
+
+Name:           cosmic-icon-theme
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
+Release:        %autorelease
+Summary:        Icon theme for the COSMIC Desktop Environment
+
+License:        CC-BY-SA-4.0
+
+URL:            https://github.com/pop-os/cosmic-icons
+
+# To create this source:
+# * git clone the repository
+# * tar -pcJf $name-$commit.tar.xz
+Source:         cosmic-icons-%{commit}.tar.xz
+
+BuildRequires:  just
+
+Requires:       pop-icon-theme
+
+Obsoletes: cosmic-icons < 0.1.0~git20240526.04.9aad1ab-2
+Provides:  cosmic-icons = %{version}-%{release}
+
+%global _description %{expand:
+%{summary}.}
+
+%description %{_description}
+
+%prep
+%autosetup -n cosmic-icons-%{commit}
+
+%build
+
+%install
+just rootdir=%{buildroot} install
+
+%files
+%dir %{_datadir}/icons/Cosmic
+%{_datadir}/icons/Cosmic/scalable/*
+%{_datadir}/icons/Cosmic/index.theme
+
+
+%changelog
+%autochangelog
+    
\ No newline at end of file
